using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsControlPointHistory {

        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "설비 종류"), Key]
        public int FacilityTypeId { get; set; }
        [Display(Name = "설비 코드"), Key]
        public int FacilityCode { get; set; }
        [Display(Name = "설비속성 고유번호"), Key]
        public int PropertyId { get; set; }
        [Display(Name = "목표 온도 설정 시점"), Key]
        public DateTime CreateDateTime { get; set; }
        [Display(Name = "제어 값"), Required]
        public double ControlValue { get; set; }
        [Display(Name = "제어명령을 생성한 서비스명")]
        [StringLength(64)]
        public string WriteServiceName { get; set; }
        [Display(Name = "제어명령이 확인 시각")]
        public DateTime? ActionDateTime { get; set; }

        [ForeignKey("SiteId,FacilityCode,PropertyId")]
        public virtual BemsMonitoringPoint BemsMonitoringPoint { get; set; }
        [ForeignKey(nameof(FacilityTypeId))]
        public virtual BemsFacilityType FacilityType { get; set; }
    }
}
